Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve
Interface RGSolveProgressUpdater

    public interface RGSolveProgressUpdater

An interface showing necessary functions for any GUI that is compatible with updating of information from within RGSolve methods

Field Summary
`static RGSolveProgressUpdater` | `emptyStatusPrinter` Prints nothing
`static RGSolveProgressUpdater` | `statusPrinter` The default `RGGui_Interface` that prints all progress updates to the console

Method Summary
`void` | `clearProgress()` clears the progress update location
`void` | `printProgress(java.lang.String progressString)` Prints `progressString` to wherever the GUI is displaying progress updates
`void` | `setProgress(int iter, int maxIter)` Sets the state of the solver into the GUI
`boolean` | `wasStopped()` returns whether the solver thread has been stopped by the GUI and the algorithm should cease

Field Detail

### statusPrinter

    static final RGSolveProgressUpdater statusPrinter

  The default `RGGui_Interface` that prints all progress updates to the console

### emptyStatusPrinter

    static final RGSolveProgressUpdater emptyStatusPrinter

  Prints nothing

Method Detail

### wasStopped

    boolean wasStopped()

  returns whether the solver thread has been stopped by the GUI and the algorithm should cease

  Returns:
    if the algorithm has been stopped

### setProgress

    void setProgress(int iter,
                     int maxIter)

  Sets the state of the solver into the GUI

  Parameters:
    `iter` - the current iterations
    `maxIter` - the max no. of iterations

### printProgress

    void printProgress(java.lang.String progressString)

  Prints `progressString` to wherever the GUI is displaying progress updates

  Parameters:
    `progressString` -

### clearProgress

    void clearProgress()

  clears the progress update location

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD